# FeedBurner

FeedBurner is gem for consuming the FeedEngine API. As defined on the [Feed Engine](http://tutorials.jumpstartlab.com/projects/feed_engine.html) project page, the API should produce JSON output and expect JSON payloads for creation and updating actions.

As an authenticated API user (using an API key) you can:

* Read any publically viewable trip feed via GET, and filter only feed items created directly on FeedEngine (text)
* Read any private trip feed to which the user has access via GET, and filter only feed items created directly on FeedEngine (text)
* Publish a text feed item given the appropriate arguments, via POST
* **(Remove this?)** Refeed another user’s feed item, given its id

### Installation

Add this line to your application's Gemfile:

    gem 'feed_burner'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install feed_burner

### Getting Started

Let's get Feed Burning!

First, you'll need to [create a Feed Engine account](http://kreepr.com/), then navigate to your [account page](http://kreepr.com/account) to retrieve your API key.

Once you have your key, configure the gem by setting your API key as such (in a Rails app, this could be put in config/initializers/feed_burner.rb):

```ruby
FeedBurner.configure do |config|
  config.api_key = YOUR_API_KEY
end
```

That's it! You're ready to talk to Feed Engine.

### Usage Examples

Retrieve feed items for a specific trip (trip must be public, or you must have permissions to view it):

```ruby
FeedBurner.feed({:username => <username>, :trip_id => <trip id>})
```

Retrieve only notes posted from FeedEngine:

```ruby
FeedBurner.feed({:username => <username>, :trip_id => <trip id>, :only => :text})
```

Publish a text feed item given the appropriate arguments, via POST

```ruby
FeedBurner.post_note({:username => <username>, :trip_id => <trip id>, :text => <text>})
```

### Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
